# Class Patient

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a patient entity, typically used to encapsulate patient-related data and behavior within a healthcare or medical information system.

    public class Patient

Inheritance
  object
  Patient

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AccessControl

    public OptionList? AccessControl { get; set; }

#### Property Value

OptionList

### AdmTime

    public DateTime? AdmTime { get; set; }

#### Property Value

DateTime?

### Allergies

    public List<OptionList>? Allergies { get; set; }

#### Property Value

List<OptionList>

### Altable

    public OptionList? Altable { get; set; }

#### Property Value

OptionList

### ArchiveDate

    public DateTime? ArchiveDate { get; set; }

#### Property Value

DateTime?

### AttendingDoctor

    public Person? AttendingDoctor { get; set; }

#### Property Value

Person

### Bed

    public string? Bed { get; set; }

#### Property Value

string

### CreationDate

    public DateTime? CreationDate { get; set; }

#### Property Value

DateTime?

### Diagnosis

    public OptionList? Diagnosis { get; set; }

#### Property Value

OptionList

### DiagnosisAux

    public string? DiagnosisAux { get; set; }

#### Property Value

string

### DisTime

    public DateTime? DisTime { get; set; }

#### Property Value

DateTime?

### DischargeStatus

    public OptionList? DischargeStatus { get; set; }

#### Property Value

OptionList

### Doctors

    public List<OptionList>? Doctors { get; set; }

#### Property Value

List<OptionList>

### HistoricalLocations

    public List<HistoricalLocation>? HistoricalLocations { get; set; }

#### Property Value

List<HistoricalLocation>

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### Insulation

    public OptionList? Insulation { get; set; }

#### Property Value

OptionList

### LanguageBarrier

    public List<OptionList>? LanguageBarrier { get; set; }

#### Property Value

List<OptionList>

### LastObservationDate

    public DateTime? LastObservationDate { get; set; }

#### Property Value

DateTime?

### Location

    public PatientLocation Location { get; set; }

#### Property Value

PatientLocation

### Mobility

    public OptionList? Mobility { get; set; }

#### Property Value

OptionList

### Origin

    public OptionList? Origin { get; set; }

#### Property Value

OptionList

### OriginAux

    public string? OriginAux { get; set; }

#### Property Value

string

### PassiveSitting

    public OptionList? PassiveSitting { get; set; }

#### Property Value

OptionList

### PatientId

    public string? PatientId { get; set; }

#### Property Value

string

### PatientNumber

    public string? PatientNumber { get; set; }

#### Property Value

string

### PatientStatus

    public OptionList? PatientStatus { get; set; }

#### Property Value

OptionList

### Person

    public Person? Person { get; set; }

#### Property Value

Person

### PointOfCare

    public PointOfCare? PointOfCare { get; set; }

#### Property Value

PointOfCare

### PointOfCareId

    public ObjectId? PointOfCareId { get; set; }

#### Property Value

ObjectId?

### Procedures

    public List<OptionList>? Procedures { get; set; }

#### Property Value

List<OptionList>

### Room

    public string? Room { get; set; }

#### Property Value

string

### Tests

    public List<OptionList>? Tests { get; set; }

#### Property Value

List<OptionList>

### TherapeuticCeiling

    public OptionList? TherapeuticCeiling { get; set; }

#### Property Value

OptionList

### Treatment

    public List<OptionList>? Treatment { get; set; }

#### Property Value

List<OptionList>

### UnitId

    public ObjectId? UnitId { get; set; }

#### Property Value

ObjectId?

### UnitString

    public string? UnitString { get; set; }

#### Property Value

string

### UpdateDate

    public DateTime? UpdateDate { get; set; }

#### Property Value

DateTime?

### Visits

    public OptionList? Visits { get; set; }

#### Property Value

OptionList

## Methods

### DeepCopy()

Creates a copy of the current Patient instance by performing a shallow copy.

    public Patient DeepCopy()

#### Returns

Patient

  A new Patient object that is a shallow copy of the current instance.

### IsInActivePoC()

Determines whether the current UnitString represents an inactive Virtual Point of Care by checking that it is not null and is not defined as a value of the VirtualPointOfCare enumeration.

    public bool IsInActivePoC()

#### Returns

bool

  `true` if `UnitString` is not null and does not match any defined VirtualPointOfCare value; otherwise, `false`.

### ToString()

Returns a human-readable string representation of the person, including the identifier and any available contextual details such as point of care, bed, patient numbers, admission and discharge timestamps, assigned patient, attending doctor, and relevant date metadata. Optional fields are appended to the output only when their values are present (non-null, non-empty, or with a value for nullable types).

    public override string ToString()

#### Returns

string

  A formatted string prefixed with "person[" and containing the included fields joined by commas.